Skip to main content
POST
/
api
/
v1
/
customers
/
{customer_id}
/
files
Upload customer files
curl --request POST \
  --url https://payments.oaknetwork.org/api/v1/customers/{customer_id}/files \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "msg": "file upload successful",
  "data": null
}

Authorizations

Authorization
string
header
required

Merchant authentication token. Obtained via POST /api/v1/merchant/token/grant. Pass as: Authorization: Bearer

Path Parameters

customer_id
string<uuid>
required

Body

multipart/form-data
file
file

Document file (max 5MB)

file_type
enum<string>

Document type

Available options:
SSN_BACK,
SSN_FRONT,
CPF_DOCUMENT,
PASSPORT,
ADDRESS_PROOF

Response

File uploaded successfully

msg
string
required

Human-readable message describing the result

data
any
required

Response payload (null on error)